Bug 28543 - Clicking on 'New record' will use default framework
Summary: Clicking on 'New record' will use default framework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-10 13:27 UTC by Fridolin Somers
Modified: 2022-06-06 20:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement changes the 'New record' button when cataloguing. Before this change you needed to choose the framework - now it will use the default framework unless you select a different framework from the drop-down list. This makes it consistent with creating a new record using the 'New from Z39.50/SRU' button. NOTE: This is a change in default behavour that cataloguers may be used to.
Version(s) released in:
21.11.00


Attachments
Bug 28543: Clicking on 'New record' will use default framework (2.88 KB, patch)
2021-06-10 13:45 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28543: Clicking on 'New record' will use default framework (2.93 KB, patch)
2021-06-10 18:53 UTC, David Nind
Details | Diff | Splinter Review
Bug 28543: Clicking on 'New record' will use default framework (2.99 KB, patch)
2021-07-25 00:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-06-10 13:27:31 UTC
In biblio records cataloguing, clicking on 'New from z39.50/SRU' will run action with default framework.
Clicking on 'New record' sould do the same.
Comment 1 Fridolin Somers 2021-06-10 13:45:25 UTC
Created attachment 121793 [details] [review]
Bug 28543: Clicking on 'New record' will use default framework

In biblio records cataloguing, clicking on 'New from z39.50/SRU' will run action with default framework.
Clicking on 'New record' should do the same.

Test plan :
1) Go to cataloguing home page
2) Check you see 'New record' with a sparator and then a caret
(like 'New from z39.50/SRU')
3) Click on button text
=> You go to record edition with default framework
4) Clik on caret
=> You see list of framworks
Comment 2 David Nind 2021-06-10 18:53:28 UTC
Created attachment 121807 [details] [review]
Bug 28543: Clicking on 'New record' will use default framework

In biblio records cataloguing, clicking on 'New from z39.50/SRU' will run action with default framework.
Clicking on 'New record' should do the same.

Test plan :
1) Go to cataloguing home page
2) Check you see 'New record' with a sparator and then a caret
(like 'New from z39.50/SRU')
3) Click on button text
=> You go to record edition with default framework
4) Clik on caret
=> You see list of framworks

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-06-10 19:08:46 UTC
I like things to be consistent, so I like this enhancement.

However, I am not a cataloguer so was wondering:

- Is there a way to set what the default framework used is, for example books? (I couldn't see anything under Administration > Catalog > MARC bibliographic framework, or a system preference.)

- Will this cause any issues for cataloguers, as it is potentially a change in their default behavour?  For example, cause records to be catalogued by default using the default framework, rather than specific frameworks libraries have setup.
Comment 4 Katrin Fischer 2021-07-25 00:04:09 UTC
Created attachment 123172 [details] [review]
Bug 28543: Clicking on 'New record' will use default framework

In biblio records cataloguing, clicking on 'New from z39.50/SRU' will run action with default framework.
Clicking on 'New record' should do the same.

Test plan :
1) Go to cataloguing home page
2) Check you see 'New record' with a sparator and then a caret
(like 'New from z39.50/SRU')
3) Click on button text
=> You go to record edition with default framework
4) Clik on caret
=> You see list of framworks

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-07-25 00:04:24 UTC
Nice little usability improvement :)
Comment 6 Jonathan Druart 2021-07-26 10:48:00 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-07-30 15:08:51 UTC
Enhancement not backported for 21.05